%define _x11dir		/usr/X11R6
%define _x11libdir	%{_x11dir}/%{_lib}
%define _x11sdkdir	%{_x11libdir}/Server

Name:		linuxwacom
Version:	0.6.6
Epoch:		0
Release:	2.EL.XOS.1
Summary:	Wacom Drivers from Linux Wacom Project

Group:		User Interface/X Hardware Support
License:	GPL/X11
URL:		http://linuxwacom.sourceforge.net
Source0:	http://prdownloads.sourceforge.net/linuxwacom/linuxwacom-0.6.6.tar.bz2
Patch0:		linuxwacom-0.6.4-linux-input.patch
Patch1:		linuxwacom-0.6.6-configure-fixes.patch
Patch2:		linuxwacom-0.6.6-64-bit-fix.patch
Patch3:		linuxwacom-0.6.6-pacify-helpstring.patch
Patch4:		linuxwacom-0.6.6-fix-include.patch

BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}
BuildRequires:	XFree86-devel, XFree86-sdk, ncurses-devel
Requires:	XFree86 >= 4.3.0-71.EL
ExclusiveArch:  %{ix86} x86_64 alpha ia64 ppc sparc sparc64

%description 
The Linux Wacom Project manages the drivers, libraries, and
documentation for configuring and running Wacom tablets under the
Linux operating system. It contains diagnostic applications as well as
X.org XInput drivers.

%package devel
Summary: linuxwacom developmental libraries and header files
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
Developmental libraries and header files required for developing or
compiling applications for manipulating settings for Wacom tablets.

%prep
%setup -q 

%patch0 -p1 -b .linux-input
%patch1 -p1 -b .configure-fixes
%patch2 -p1 -b .64-bit-fix
%patch3 -p1 -b .pacify-helpstring
%patch4 -p1 -b .fix-include

%build
libtoolize --copy --force
aclocal
autoconf

export RPM_LIBDIR=%{_lib}
%configure --without-gtk --without-tcl --without-tk \
	--disable-wacomxi --disable-libwacomxi \
	--with-xorg-sdk=%{_x11sdkdir} --with-xlib=%{_x11libdir}
	
export CFLAGS="$RPM_OPT_FLAGS"
make XORG_SDK_DIR=%{_x11sdkdir}

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall x86moduledir=$RPM_BUILD_ROOT%{_x11libdir}/modules/input
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/udev/rules.d
rm $RPM_BUILD_ROOT/%{_libdir}/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files 
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog README NEWS
%doc docs/docs.html docs/docs_files
%attr(0444,root,root) %{_x11libdir}/modules/input/wacom_drv.o
%{_bindir}/wacdump
%{_bindir}/xidump
%{_bindir}/xsetwacom
%{_libdir}/libwacomcfg*so.*

%files devel
%defattr(-,root,root,-)
%{_includedir}/wacomcfg/wacomcfg.h
%{_libdir}/libwacomcfg*.a
%{_libdir}/libwacomcfg*.so

%changelog
* Tue May 24 2005 X/OS Linux Team <xoslinux@xos.nl> 0.6.6-2.EL.XOS.1
- Build for X/OS Linux 3.0.
- X/OS Linux source rpm based on linuxwacom-0.6.6-2.EL.src.rpm
  (md5sum of original source rpm: 41e842c0b6c37b53c6dc56524c7f4892).

* Fri Feb 11 2005 Kristian Høgsberg <krh@redhat.com> 0:0.6.6-2.EL
- Bump release.

* Thu Feb 10 2005 Kristian Høgsberg <krh@redhat.com> 0:0.6.6-1.EL
- Update to linuxwacom-0.6.6.
- Update sources file.
- Fix configure-fixes patch: don't set the X11 lib path back to
  default when it's given on the command line.
- Add patch to set appropriate preprocessor flags on 64 bit machines.
- Add patch to backout AS_HELP_STRING use.
- Add patch to fix include of keysym.h.
- Change 64-bit-fix patch to patch Makefile.in instead.

* Wed Sep 29 2004 Kristian Høgsberg <krh@redhat.com> 0:0.6.4-7
- Run /sbin/ldconfig in %post and %postun (#134070).
- Require at least XFree86-4.3.0-71.EL so we don't conflict with the
  built in driver from earlier releases.

* Fri Sep 24 2004 Kristian Høgsberg <krh@redhat.com> - 0:0.6.4-4
- Pass --without-gtk and others to get rid of bogus link dependencies.
- Don't pass --without-linux, though...

* Fri Sep 24 2004 Kristian Høgsberg <krh@redhat.com> 0:0.6.4-3
- Bump release.

* Tue Sep 21 2004 Kristian Høgsberg <krh@redhat.com> 0:0.6.4-1
- Branch this from devel (FC3) 0.6.4-2
- Add patch 4 to fix keysym.h include
